classification
Title: Idle: add help to config dialogs
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: Saimadhav.Heblikar, markroseman, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2014-10-25 04:46 by terry.reedy, last changed 2019-03-21 18:19 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
@config-help-34.diff terry.reedy, 2014-10-25 04:46 review
Messages (5)
msg229981 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-10-25 04:46
At one time, ConfigDialog was given a do-nothing Help button.  It was diabled a couple of years ago.  This patch restores it for both config dialogs, displaying a text appropriate for both.  There are separate functions in anticipation of dialog-specific content.  For both, there is the issue of when changes take effect (#22707).  For extensions, there might be extension-specific help (#22705).
msg252371 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-10-06 00:42
This patch does two things: 1. restore the Help button and make it display something; 2. lower case the method names.  The latter is a separate issue, best done in a new file.  What is needed for #25313 is tab-specific text.

Also, now that Config Extenstion uses a list rather than tabs, it couldn be added as a tab to the main dialog, and only one set of button event handlers would be needed.  Tab-specific text would be needed first.
msg252440 - (view) Author: Mark Roseman (markroseman) * Date: 2015-10-06 23:56
I'm not against online help, but I feel that what's there wouldn't be helpful to someone using IDLE. 

Once this would be extended to per-tab, what are the problem areas that people really need help with?  Also keeping in mind we're going to be replacing this dialog (at least for people with tk > 8.4) in the not too distant future.
msg252836 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-10-12 02:08
New changeset fd41b05b8227 by Terry Jan Reedy in branch '2.7':
Issue #22726: Re-activate config dialog help button with some content about
https://hg.python.org/cpython/rev/fd41b05b8227

New changeset 01f83efcc44b by Terry Jan Reedy in branch '3.4':
Issue #22726: Re-activate config dialog help button with some content about
https://hg.python.org/cpython/rev/01f83efcc44b
msg252837 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-10-12 02:13
I rewrote the common section to explain what the button do. I did not modify the extensions dialog because I want to finish #24782.  #22707 may add more.
History
Date User Action Args
2019-03-21 18:19:30terry.reedysetcomponents: + IDLE
2015-10-12 02:13:10terry.reedysetstatus: open -> closed
versions: + Python 3.6
messages: + msg252837

resolution: fixed
stage: patch review -> resolved
2015-10-12 02:08:22python-devsetnosy: + python-dev
messages: + msg252836
2015-10-06 23:56:07markrosemansetmessages: + msg252440
2015-10-06 00:42:57terry.reedysetnosy: + markroseman
messages: + msg252371
2014-10-25 04:46:23terry.reedycreate